#!/bin/bash
# packager/author    : Fred Broders <Ugly Dolphin> (fred~AT~f-r-e-d.org)
# source location    : http://download.zenwalk.org/people/fredb/packages/source/
# last revised       : 17.11.2007

softname='wallpapers-wide'
softversion='0.1'
packageversion='50.1'

arch='noarch'

# log
(

# parameters needed for the build process
buildir=$(pwd)
srcpkg="$buildir/$softname-$softversion.tar.bz2"
src="$buildir/$softname-$softversion"
package="$softname-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# prepare the build result directory
rm -rf $dest
mkdir -p $dest
mkdir -p $dest/install
mkdir -p $dest/usr/doc/$softname-$softversion
mkdir -p $dest/usr/share/wallpapers
mkdir -p $dest/usr/src/$softname-$softversion

# put slack-desc in place
cat <<EOF > $dest/install/slack-desc
               |-----handy-ruler----------------------------------------------|
wallpapers-wide: Extra WildScreen Wallpapers for Zenwalk Linux
wallpapers-wide:
wallpapers-wide: Package with cool zenwalk wallpapers, by Ugly Dolphin.
wallpapers-wide: See the README for licenses. Copyright zenwalk.org
wallpapers-wide:
wallpapers-wide:
wallpapers-wide:
wallpapers-wide:
wallpapers-wide:
wallpapers-wide: 
wallpapers-wide:
EOF

# put the Zenwalk wallpapers in place
cd $buildir
tar xjvf $srcpkg
cd $src
cp -rf * $dest/usr/share/wallpapers

# Add default doc
cp -a \
      README license.html \
      $dest/usr/doc/$softname-$softversion


# ZenBuild
cp $buildir/build-$softname.sh $dest/usr/src/$softname-$softversion

# set target permissions
chown -R root:root $dest

cd $dest
find . -perm 664 -exec chmod 644 {} \;
find . -perm 600 -exec chmod 644 {} \;
find . -perm 444 -exec chmod 644 {} \;
find . -perm 400 -exec chmod 644 {} \;
find . -perm 440 -exec chmod 644 {} \;
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;
find . -type d -exec chmod 755 {} \;

# real packaging work:
cd $dest
makepkg -l y -c n $dest.tgz

# computes the md5sum signature for the package
cd $buildir
md5sum $package.tgz > $package.md5

# .dep file
touch $package.dep

# log
) 2>&1 | tee "$softname-$softversion-info.log"
